## org.eclipse.datatools.modelbase.dbdefinition.impl
Class IndexDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.IndexDefinitionImpl

All Implemented Interfaces:
  IndexDefinition

    public class IndexDefinitionImpl

extends EObjectImpl
implements IndexDefinition

An implementation of the model object 'Index Definition'.

The following features are implemented:

- `Percent Free Terminology`
- `Percent Free Changeable`
- `Clustering Supported`
- `Cluster Changeable`
- `Fill Factor Supported`
- `Included Columns Supported`
- `Maximum Identifier Length`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getMaximumIdentifierLength()`
`PercentFreeTerminology` `getPercentFreeTerminology()`
`boolean` `isClusterChangeable()`
`boolean` `isClusteringSupported()`
`boolean` `isFillFactorSupported()`
`boolean` `isIncludedColumnsSupported()`
`boolean` `isPercentFreeChangeable()`
`void` `setClusterChangeable(boolean newClusterChangeable)`
`void` `setClusteringSupported(boolean newClusteringSupported)`
`void` `setFillFactorSupported(boolean newFillFactorSupported)`
`void` `setIncludedColumnsSupported(boolean newIncludedColumnsSupported)`
`void` `setMaximumIdentifierLength(int newMaximumIdentifierLength)`
`void` `setPercentFreeChangeable(boolean newPercentFreeChangeable)`
`void` `setPercentFreeTerminology(PercentFreeTerminology newPercentFreeTerminology)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPercentFreeTerminology

    public PercentFreeTerminology getPercentFreeTerminology()

  Specified by:
    `getPercentFreeTerminology` in interface `IndexDefinition`
  Returns:
    the value of the 'Percent Free Terminology' attribute.
  See Also:
    `PercentFreeTerminology`, `IndexDefinition.setPercentFreeTerminology(PercentFreeTerminology)`, `DatabaseDefinitionPackage.getIndexDefinition_PercentFreeTerminology()`

### setPercentFreeTerminology

    public void setPercentFreeTerminology(PercentFreeTerminology newPercentFreeTerminology)

  Specified by:
    `setPercentFreeTerminology` in interface `IndexDefinition`
  Parameters:
    `newPercentFreeTerminology` - the new value of the 'Percent Free Terminology' attribute.
  See Also:
    `PercentFreeTerminology`, `IndexDefinition.getPercentFreeTerminology()`

### isPercentFreeChangeable

    public boolean isPercentFreeChangeable()

  Specified by:
    `isPercentFreeChangeable` in interface `IndexDefinition`
  Returns:
    the value of the 'Percent Free Changeable' attribute.
  See Also:
    `IndexDefinition.setPercentFreeChangeable(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_PercentFreeChangeable()`

### setPercentFreeChangeable

    public void setPercentFreeChangeable(boolean newPercentFreeChangeable)

  Specified by:
    `setPercentFreeChangeable` in interface `IndexDefinition`
  Parameters:
    `newPercentFreeChangeable` - the new value of the 'Percent Free Changeable' attribute.
  See Also:
    `IndexDefinition.isPercentFreeChangeable()`

### isClusteringSupported

    public boolean isClusteringSupported()

  Specified by:
    `isClusteringSupported` in interface `IndexDefinition`
  Returns:
    the value of the 'Clustering Supported' attribute.
  See Also:
    `IndexDefinition.setClusteringSupported(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_ClusteringSupported()`

### setClusteringSupported

    public void setClusteringSupported(boolean newClusteringSupported)

  Specified by:
    `setClusteringSupported` in interface `IndexDefinition`
  Parameters:
    `newClusteringSupported` - the new value of the 'Clustering Supported' attribute.
  See Also:
    `IndexDefinition.isClusteringSupported()`

### isClusterChangeable

    public boolean isClusterChangeable()

  Specified by:
    `isClusterChangeable` in interface `IndexDefinition`
  Returns:
    the value of the 'Cluster Changeable' attribute.
  See Also:
    `IndexDefinition.setClusterChangeable(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_ClusterChangeable()`

### setClusterChangeable

    public void setClusterChangeable(boolean newClusterChangeable)

  Specified by:
    `setClusterChangeable` in interface `IndexDefinition`
  Parameters:
    `newClusterChangeable` - the new value of the 'Cluster Changeable' attribute.
  See Also:
    `IndexDefinition.isClusterChangeable()`

### isFillFactorSupported

    public boolean isFillFactorSupported()

  Specified by:
    `isFillFactorSupported` in interface `IndexDefinition`
  Returns:
    the value of the 'Fill Factor Supported' attribute.
  See Also:
    `IndexDefinition.setFillFactorSupported(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_FillFactorSupported()`

### setFillFactorSupported

    public void setFillFactorSupported(boolean newFillFactorSupported)

  Specified by:
    `setFillFactorSupported` in interface `IndexDefinition`
  Parameters:
    `newFillFactorSupported` - the new value of the 'Fill Factor Supported' attribute.
  See Also:
    `IndexDefinition.isFillFactorSupported()`

### isIncludedColumnsSupported

    public boolean isIncludedColumnsSupported()

  Specified by:
    `isIncludedColumnsSupported` in interface `IndexDefinition`
  Returns:
    the value of the 'Included Columns Supported' attribute.
  See Also:
    `IndexDefinition.setIncludedColumnsSupported(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_IncludedColumnsSupported()`

### setIncludedColumnsSupported

    public void setIncludedColumnsSupported(boolean newIncludedColumnsSupported)

  Specified by:
    `setIncludedColumnsSupported` in interface `IndexDefinition`
  Parameters:
    `newIncludedColumnsSupported` - the new value of the 'Included Columns Supported' attribute.
  See Also:
    `IndexDefinition.isIncludedColumnsSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `IndexDefinition`
  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `IndexDefinition.setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getIndexDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int newMaximumIdentifierLength)

  Specified by:
    `setMaximumIdentifierLength` in interface `IndexDefinition`
  Parameters:
    `newMaximumIdentifierLength` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `IndexDefinition.getMaximumIdentifierLength()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.